/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package fr.gouv.finances.cp.xemelios.quittancement;

import fr.gouv.finances.cp.xemelios.common.config.DocumentModel;
import fr.gouv.finances.cp.xemelios.importers.docetatProvider.AbstractWriter;
import fr.gouv.finances.cp.xemelios.importers.docetatProvider.AttributesHolder;
import fr.gouv.finances.cp.xemelios.importers.docetatProvider.NamespaceHolder;
import fr.gouv.finances.cp.xemelios.importers.docetatProvider.NodesHolder;
import java.io.OutputStream;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.AttributesImpl;

/**
 *
 * @author chm
 */
public class QuittancementWriter extends AbstractWriter {
    public static final transient String FACTURE_NS = "http://www.minefi.gouv.fr/cp/helios/pes_v2/facture";
    public QuittancementWriter(DocumentModel dm,OutputStream out, String encoding, AttributesHolder attHolder, NodesHolder nodeHolder, NamespaceHolder ns) {
        super(dm,out,encoding,attHolder,nodeHolder,ns);
    }

    @Override
    public void startDocument() throws SAXException {
        super.startDocument();
        AttributesImpl atts = new AttributesImpl();
        startElement(FACTURE_NS,"DOC_PES_Facture","DOC_PES_Facture",atts);
    }

    @Override
    public void endDocument() throws SAXException {
        endElement(FACTURE_NS, "DOC_PES_Facture", "DOC_PES_Facture");
        super.endDocument();
    }
    
}
